DIPlib Documentation - ©1995-2015 Quantitative Imaging Group, Delft University of Technology.

# ChangeDataType

Change the data type of an image

## SYNOPSIS

dip_Error dip_ChangeDataType( example, target, dataType )

## FUNCTION

Inherit all properties of the input image except the data type. The data type is explicitly specified through `dataType`. When `dataType` is zero, the data type of the output image is not modified. The example image may be either "raw" or "forged".

## ARGUMENTS

Data type | Name | Description
`dip_Image` | `example` | An example image
`dip_Image` | `target` | The target image
`dip_DataType` | `dataType` | The data type

## SEE ALSO

DIPlib's data types

`ImageCopyProperties`, `ImageAssimilate`, `ChangeTo0d`